<?php

if (!defined('ABSPATH')) exit;

class sap_ajax_handler {
    function __construct() {
        add_action('wp_ajax_sap_log_playlist', array(&$this, 'log_playlist'));
        add_action('wp_ajax_nopriv_sap_log_playlist', array(&$this, 'log_playlist'));

        add_action('wp_ajax_sap_track_played', array(&$this, 'track_played'));
        add_action('wp_ajax_nopriv_sap_track_played', array(&$this, 'track_played'));

        add_action('wp_ajax_sap_ended_play', array(&$this, 'ended_play'));
        add_action('wp_ajax_nopriv_sap_ended_play', array(&$this, 'ended_play'));
    }

    public function log_playlist() {
        $playlist = isset($_POST['playlist']) ? intval($_POST['playlist']) : 0;
        $source = isset($_POST['source']) ? $_POST['source'] : 'page';

        $log = array('id' => 0);
        if ($playlist > 0) {
            $log['id'] = sap_playlist($playlist)->log_add($source);
        }

        die(json_encode($log));
    }

    public function ended_play() {
        $log = isset($_POST['log']) ? intval($_POST['log']) : 0;

        if ($log > 0) {
            $playlist_time = isset($_POST['listTime']) ? intval($_POST['listTime']) : 0;
            $prev_track = isset($_POST['prevId']) ? intval($_POST['prevId']) : 0;
            $prev_time = isset($_POST['prevTime']) ? intval($_POST['prevTime']) : 0;

            if ($prev_track > 0 && $prev_time > 0) {
                $this->update_track($log, $prev_track, $prev_time);
            }

            $this->update_playlist($log, $playlist_time, 0);
        }
    }

    public function track_played() {
        $track = isset($_POST['track']) ? intval($_POST['track']) : 0;
        $log = isset($_POST['log']) ? intval($_POST['log']) : 0;
        $played = isset($_POST['played']) ? intval($_POST['played']) : 0;

        $playlist_time = isset($_POST['listTime']) ? intval($_POST['listTime']) : 0;
        $prev_track = isset($_POST['prevId']) ? intval($_POST['prevId']) : 0;
        $prev_time = isset($_POST['prevTime']) ? intval($_POST['prevTime']) : 0;

        if ($track > 0) {
            $t = sap_track($track);

            if ($played == 0) {
                $t->played();
            }

            $t->log_add($log);
        }

        if ($prev_track > 0 && $prev_time > 0) {
            $this->update_track($log, $prev_track, $prev_time);
        }

        $this->update_playlist($log, $playlist_time);
    }

    public function update_playlist($log, $time, $play = 1) {
        global $wpdb;

        $playlist = "update ".$wpdb->prefix."sap_play_log set plays = plays + ".$play.", timer = ".$time." where id = ".$log;
        $wpdb->query($playlist);
    }

    public function update_track($log, $prev_track, $prev_time) {
        global $wpdb;

        $previous = "update ".$wpdb->prefix."sap_play_log set timer = timer + ".$prev_time." where parent_id = ".$log." and post_id = ".$prev_track;
        $wpdb->query($previous);
    }
}

global $sap_ajax_loader;
$sap_ajax_loader = new sap_ajax_handler();

?>