<?php

if (!defined('ABSPATH')) exit;

final class sap_defaults {
    public $settings = array(
        '__version__' => '2.0',
        '__date__' => '2014.08.07.',
        '__build__' => 2930,
        '__status__' => 'stable',
        '__product_id__' => 'smart-audio-playlists',
        'show_install_screen' => false,
        'show_update_screen' => false,
        'force_post_thumbnails' => false,
        'css_load_render' => true,
        'css_load_playlist' => true,
        'css_load_theme' => false,
        'player_style' => 'sap-player-light',
        'player_skin' => 'default',
        'player_current' => true,
        'player_progress' => true,
        'player_duration' => true,
        'player_volume' => true,
        'player_prevtrack' => true,
        'player_nexttrack' => true,
        'player_initial_volume' => '100',
        'player_native_ipad' => false,
        'player_native_iphone' => false,
        'player_native_android' => false,
        'player_tracklist_toggle_open' => '<i class="dashicons dashicons-arrow-down-alt2"></i> Show Tracklist',
        'player_tracklist_toggle_close' => '<i class="dashicons dashicons-arrow-up-alt2"></i> Hide Tracklist',
        'player_link_playlist_text' => '<i class="dashicons dashicons-admin-home"></i> Visit Playlist Page',
        'player_toggle' => false,
        'player_toggle_hidden' => true,
        'player_toggle_nohide' => false,
        'player_visible_track_download' => true,
        'player_visible_track_images' => true,
        'player_visible_track_numbers' => true,
        'player_visible_track_statistics' => true,
        'player_visible_about' => true,
        'player_visible_statistics' => true,
        'player_visible_metadata' => true,
        'track_use_playlist_image' => true,
        'track_use_default_image' => true,
        'archive_playlists_count' => 10,
        'templates_override' => true,
        'templates_playlist_single' => '',
        'templates_single_title' => true,
        'templates_playlist_archive' => '',
        'templates_archive_title' => true,
        'templates_playlist_index_post_tag' => 'cloud',
        'templates_playlist_index_sapgenre' => '',
        'templates_playlist_index_sapartist' => '',
        'templates_index_title' => true,
        'hide_playlist_statistics' => false,
        'hide_tracks_statistics' => false,
        'cpt_track_singular' => 'Track',
        'cpt_track_plural' => 'Tracks',
        'cpt_playlist_singular' => 'Audio Playlist',
        'cpt_playlist_plural' => 'Audio Playlists',
        'cpt_playlist_slug_single' => 'playlist',
        'cpt_playlist_slug_archive' => 'playlists',
        'cpt_playlist_tax_tag' => true,
        'cpt_playlist_tax_genre' => true,
        'cpt_playlist_tax_artist' => true,
        'tax_genre_singular' => 'Genre',
        'tax_genre_plural' => 'Genres',
        'tax_genre_slug_single' => 'genre',
        'tax_genre_slug_archive' => 'genres',
        'tax_artist_singular' => 'Artist',
        'tax_artist_plural' => 'Artists',
        'tax_artist_slug_single' => 'artist',
        'tax_artist_slug_archive' => 'artists',
        'tax_tag_slug_archive' => 'tags'
    );

    function __construct() { }

    public function upgrade($old) {
        foreach ($this->settings as $key => $value) {
            if (!isset($old[$key])) {
                $old[$key] = $value;
            }
        }

        $unset = array();
        foreach ($old as $key => $value) {
            if (!isset($this->settings[$key])) {
                $unset[] = $key;
            }
        }

        if (!empty($unset)) {
            foreach ($unset as $key) {
                unset($old[$key]);
            }
        }

        foreach ($this->settings as $key => $value) {
            if (substr($key, 0, 2) == '__') {
                $old[$key] = $value;
            }
        }

        return $old;
    }
}

?>