<?php

if (!defined('ABSPATH')) exit;

if (!function_exists('sap_archive_pagination')) {
    function sap_archive_pagination() {
        global $wp_query;

        $big = 999999999;
        $pager = paginate_links( array(
            'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
            'format' => '?paged=%#%',
            'current' => max(1, get_query_var('paged')),
            'total' => $wp_query->max_num_pages,
            'prev_text' => '<i class="dashicons dashicons-arrow-left-alt2"></i> '.__("Previous", "smart-audio-playlists"),
            'next_text' => __("Next", "smart-audio-playlists").' <i class="dashicons dashicons-arrow-right-alt2"></i>',
            'before_page_number' => '<span class="screen-reader-text">'.__("Page", "smart-audio-playlists").' </span>'
        ));

        if (!empty($pager)) {
            echo '<div class="sap-playlists-archives-pager">';
            echo $pager;
            echo '</div>';
        }
    }
}

if (!function_exists('sap_get_related_playlists')) {
    function sap_get_related_playlists($playlist, $count = 4) {
        $tax_artist = wp_get_post_terms($playlist, 'sapartist');
        $tax_genre = wp_get_post_terms($playlist, 'sapgenre');

        $args = array(
            'tax_query' => array(
                'relation' => 'OR'
            ),
            'exclude' => $playlist,
            'post_type' => array('sapplaylist'),
            'numberposts' => $count
        );

        if (!is_wp_error($tax_artist) && !empty($tax_artist)) {
            $args['tax_query'][] = array(
                'taxonomy' => 'sapartist',
                'terms' => wp_list_pluck($tax_artist, 'term_id'),
                'operator' => 'IN'
            );
        }

        if (!is_wp_error($tax_genre) && !empty($tax_genre)) {
            $args['tax_query'][] = array(
                'taxonomy' => 'sapgenre',
                'terms' => wp_list_pluck($tax_genre, 'term_id'),
                'operator' => 'IN'
            );
        }
        
        return get_posts($args);
    }
}

?>