<?php

$pl_icon = SAP_WP_VERSION == 38 ? 'dashicons-format-audio' : 'dashicons-playlist-audio';

$current = isset($_GET['page']) ? $_GET['page'] : 'smart-audio-playlists-settings';

$install = smart_sap_core()->get('show_install_screen');
$update = smart_sap_core()->get('show_update_screen');

if ($install) {
    $current = 'smart-audio-playlists-settings';

    $update_message = __("Plugin has been installed. To make sure that everything is OK, please review the installation processes before you can start using the plugin.", "smart-audio-playlists");
    $tabs = array('smart-audio-playlists-settings' => array('<span class="dashicons dashicons-update"></span> '.__("Install", "smart-audio-playlists"), '__inner__', 'update.php'));
} else if ($update) {
    $current = 'smart-audio-playlists-settings';

    $update_message = __("Plugin has been updated to the new version. To make sure that everything is OK, please review the update processes before you can continue using the plugin.", "smart-audio-playlists");
    $tabs = array('smart-audio-playlists-settings' => array('<span class="dashicons dashicons-update"></span> '.__("Update", "smart-audio-playlists"), '__inner__', 'update.php'));
} else {
    $tabs = array(
        'smart-audio-playlists-settings' => array('<span class="dashicons dashicons-admin-settings"></span> '.__("Settings", "smart-audio-playlists"), '__inner__', 'settings.php'),
        'smart-audio-playlists-theme' => array('<span class="dashicons dashicons-admin-appearance"></span> '.__("Theme", "smart-audio-playlists"), '__inner__', 'theme.php'),
        'smart-audio-playlists-advanced' => array('<span class="dashicons dashicons-admin-generic"></span> '.__("Advanced", "smart-audio-playlists"), '__inner__', 'advanced.php'),
        'smart-audio-playlists-log' => array('<span class="dashicons dashicons-analytics"></span> '.__("Log", "smart-audio-playlists"), '__inner__', 'log.php')
    );
}

$static = array(
    'edit.php?post_type=sapplaylist' => '<span class="dashicons '.$pl_icon.'"></span> '.__("Playlists", "smart-audio-playlists"),
    'edit-tags.php?taxonomy=sapgenre&post_type=sapplaylist' => '<span class="dashicons dashicons-awards"></span> '.__("Genres", "smart-audio-playlists"),
    'edit-tags.php?taxonomy=sapartist&post_type=sapplaylist' => '<span class="dashicons dashicons-groups"></span> '.__("Artists", "smart-audio-playlists"),
    'edit-tags.php?taxonomy=post_tag&post_type=sapplaylist' => '<span class="dashicons dashicons-tag"></span> '.__("Tags", "smart-audio-playlists")
);

$tabs['smart-audio-playlists-about'] = array('<span class="dashicons dashicons-info"></span> '.__("About", "smart-audio-playlists"), '__inner__', 'about.php');

?>
<div class="wrap sct-wordpress-<?php echo SAP_WP_VERSION ?>">
    <h2 class="sct-title"><span class="dashicons <?php echo $pl_icon; ?>"></span> <?php _e("Smart Audio Playlists", "smart-audio-playlists");  ?>
        <span class="sct-version"> | <?php echo smart_sap_core()->get('__version__'); ?></span>
    </h2>
    <?php if (isset($_GET['settings-updated'])) { flush_rewrite_rules(); ?>
        <div id="message" class="updated"><p><strong><?php _e("Settings saved.", "smart-audio-playlists"); ?></strong></p></div>
    <?php } if (isset($_GET['delete-done'])) { ?>
        <div id="message" class="updated"><p><strong><?php _e("Deletion process completed.", "smart-audio-playlists"); ?></strong></p></div>
    <?php } ?>

    <h2 class="nav-tab-wrapper">
    <?php

    foreach ($static as $url => $title) {
        echo '<a class="nav-tab sct-nav-tab sct-tab-static" href="'.$url.'">'.$title.'</a>';
    }

    foreach ($tabs as $tab => $obj) {
        $class = $tab == $current ? ' nav-tab-active' : '';

        if ($tab == 'smart-audio-playlists-about') {
            $class.= ' sct-tab-about';
        }
        
        echo '<a class="nav-tab sct-nav-tab'.$class.'" href="edit.php?post_type=sapplaylist&page='.$tab.'">'.$obj[0].'</a>';
    }

    ?>
    </h2>
    <div id="ddw-panel" class="ddw-panel-<?php echo $current; ?>">
        <?php

        $location = $tabs[$current][1];

        if ($location == '__inner__') {
            include(SAP_PATH.'forms/pages/'.$tabs[$current][2]);
        } else {
            include($location);
        }

        ?>
    </div>
</div>
