<?php

global $post_ID;

$stats = sap_playlist($post_ID)->stats();

?>
<table class="sap-stats-table">
    <tr>
        <td class="sap-label">
            <?php _e("Total Played", "smart-audio-playlists"); ?>:
        </td>
        <td class="sap-value">
            <?php echo $stats['played_total'].' '. _n("time", "times", $stats['played_total'], "smart-audio-playlists"); ?>
        </td>
    </tr>
    <tr>
        <td class="sap-label">
            <?php _e("Played Today", "smart-audio-playlists"); ?>:
        </td>
        <td class="sap-value">
            <?php echo $stats['played_day'].' '. _n("time", "times", $stats['played_day'], "smart-audio-playlists"); ?>
        </td>
    </tr>
    <tr>
        <td class="sap-label">
            <?php _e("Played This Week", "smart-audio-playlists"); ?>:
        </td>
        <td class="sap-value">
            <?php echo $stats['played_week'].' '. _n("time", "times", $stats['played_week'], "smart-audio-playlists"); ?>
        </td>
    </tr>
    <tr>
        <td class="sap-label">
            <?php _e("Played This Month", "smart-audio-playlists"); ?>:
        </td>
        <td class="sap-value">
            <?php echo $stats['played_month'].' '. _n("time", "times", $stats['played_month'], "smart-audio-playlists"); ?>
        </td>
    </tr>
    <tr>
        <td class="sap-label">
            <?php _e("Played This Year", "smart-audio-playlists"); ?>:
        </td>
        <td class="sap-value">
            <?php echo $stats['played_year'].' '. _n("time", "times", $stats['played_year'], "smart-audio-playlists"); ?>
        </td>
    </tr>
    <tr>
        <td class="sap-label">
            <?php _e("Last Played", "smart-audio-playlists"); ?>:
        </td>
        <td class="sap-value">
            <?php echo $stats['last_played'] == 0 ? __("Never", "smart-audio-playlists") : human_time_diff($stats['last_played']); ?>
        </td>
    </tr>
</table>
<hr/>
<h4 class="sap-meta-title"><?php _e("Reset Statistics", "smart-audio-playlists"); ?>:</h4>
<label for="sap-reset-playlist-statistics">
    <input type="checkbox" class="widefat" name="sap[reset][playlist_statistics]" id="sap-reset-playlist-statistics" />
    <?php _e("Playlist Statistics", "smart-audio-playlists"); ?>
</label><br/>
<label for="sap-reset-tracks-statistics">
    <input type="checkbox" class="widefat" name="sap[reset][tracks_statistics]" id="sap-reset-tracks-statistics" />
    <?php _e("All Tracks Statistics", "smart-audio-playlists"); ?>
</label>
