<?php

global $post_ID;

$tracks = sap_playlist($post_ID)->tracks;

$i = 1;

function sap_render_track_meta_elements($track, $key) {
    $standard = array('title', 'artist', 'album', 'genre', 'year');

    ?><tr>
        <td class="sap-label">
            <?php _e("Title", "smart-audio-playlists"); ?>
        </td>
        <td class="sap-value" colspan="3">
            <input class="sap-track-title widefat" type="text" name="sap[tracks][title][<?php echo $key; ?>]" value="<?php echo $track['title']; ?>" />
        </td>
    </tr>
    <tr>
        <td class="sap-label">
            <?php _e("Artist", "smart-audio-playlists"); ?>
        </td>
        <td class="sap-value" colspan="3">
            <input class="sap-track-artist widefat" type="text" name="sap[tracks][artist][<?php echo $key; ?>]" value="<?php echo $track['artist']; ?>" />
        </td>
    </tr>
    <tr>
        <td class="sap-label">
            <?php _e("Album", "smart-audio-playlists"); ?>
        </td>
        <td class="sap-value" colspan="3">
            <input class="sap-track-album widefat" type="text" name="sap[tracks][album][<?php echo $key; ?>]" value="<?php echo $track['album']; ?>" />
        </td>
    </tr>
    <tr>
        <td class="sap-label">
            <?php _e("Genre", "smart-audio-playlists"); ?>
        </td>
        <td class="sap-value">
            <input class="sap-track-genre widefat" type="text" name="sap[tracks][genre][<?php echo $key; ?>]" value="<?php echo $track['genre']; ?>" />
        </td>
        <td class="sap-label">
            <?php _e("Year", "smart-audio-playlists"); ?>
        </td>
        <td class="sap-value" style="width: 70px;">
            <input class="sap-track-year widefat sap-numeric" type="text" name="sap[tracks][year][<?php echo $key; ?>]" value="<?php echo $track['year']; ?>" style="width: 100%" maxlength="4" />
        </td>
    </tr><?php

    foreach (smart_sap_core()->fields['track'] as $code => $data) {
        if (!in_array($code, $standard)) { ?>
            <tr>
                <td class="sap-label">
                    <?php echo $data['name']; ?>
                </td>
                <td class="sap-value" colspan="3">
                    <input class="sap-track-<?php echo key; ?> widefat" type="text" name="sap[tracks][<?php echo $code; ?>][<?php echo $key; ?>]" value="<?php echo $track[$code]; ?>" />
                </td>
            </tr>
        <?php }
    }
}

function sap_render_track_html($type = 'local', $key = 0, $id = 0, $track = array()) {
    $defaults = array('post' => 0, 'image' => 0, 'length' => '0:00', 'url' => '', 'title' => '', 'artist' => '', 'album' => '', 'genre' => '', 'year' => '');
    $track = wp_parse_args($track, $defaults);

    $image = SAP_URL.'gfx/placeholder-96x96.png';

    if ($track['image'] > 0) {
        $image = wp_get_attachment_thumb_url($track['image']);
    } else {
        if ($track['post'] != 0) {
            $thumb = get_post_thumbnail_id($track['post']);

            if ($thumb > 0) {
                $image = wp_get_attachment_thumb_url($thumb);
            }
        }
    }

    if ($type == 'remote') {
    ?>
    <li class="sap-track-remote">
        <input class="sap-track-id" type="hidden" name="sap[tracks][id][<?php echo $key; ?>]" value="<?php echo $id; ?>" />
        <input class="sap-track-type" type="hidden" name="sap[tracks][type][<?php echo $key; ?>]" value="remote" />
        <input class="sap-track-image" type="hidden" name="sap[tracks][image][<?php echo $key; ?>]" value="<?php echo $track['image']; ?>" />

        <div class="sap-track-left">
            <img width="96" height="96" alt="" src="<?php echo $image; ?>" title="<?php _e("Click here to change image for this track.", "smart-audio-playlists"); ?>" />
            <input title="<?php _e("Remove this track from the playlist.", "smart-audio-playlists"); ?>" class="sap-remove-track button-secondary" type="button" value="Remove Track" />
        </div>
        <div class="sap-track-right">
            <table>
                <tr>
                    <td class="sap-label">
                        <?php _e("URL", "smart-audio-playlists"); ?>
                    </td>
                    <td class="sap-value">
                        <input class="sap-track-url widefat" type="text" name="sap[tracks][url][<?php echo $key; ?>]" value="<?php echo $track['url']; ?>" />
                    </td>
                    <td class="sap-label">
                        <?php _e("Duration", "smart-audio-playlists"); ?>
                    </td>
                    <td class="sap-value" style="width: 70px;">
                        <input title="<?php _e("Duration for the audio should be in the format: MM:SS (minutes and seconds).", "smart-audio-playlists"); ?>" class="sap-track-length widefat sap-numeric" type="text" name="sap[tracks][length][<?php echo $key; ?>]" value="<?php echo $track['length']; ?>" style="width: 100%" maxlength="8" />
                    </td>
                </tr>
                <?php sap_render_track_meta_elements($track, $key); ?>
            </table>
        </div>
    </li>
    <?php } else if ($type == 'local') { ?>
    <li class="sap-track-local">
        <input class="sap-track-id" type="hidden" name="sap[tracks][id][<?php echo $key; ?>]" value="<?php echo $id; ?>" />
        <input class="sap-track-type" type="hidden" name="sap[tracks][type][<?php echo $key; ?>]" value="local" />
        <input class="sap-track-post" type="hidden" name="sap[tracks][post][<?php echo $key; ?>]" value="<?php echo $track['post']; ?>" />
        <input class="sap-track-image" type="hidden" name="sap[tracks][image][<?php echo $key; ?>]" value="<?php echo $track['image']; ?>" />

        <div class="sap-track-left">
            <img width="96" height="96" alt="" src="<?php echo $image; ?>" title="<?php _e("Click here to change image for this track.", "smart-audio-playlists"); ?>" />
            <input title="<?php _e("Remove this track from the playlist.", "smart-audio-playlists"); ?>" class="sap-remove-track button-secondary" type="button" value="Remove Track" />
        </div>
        <div class="sap-track-right">
            <table>
                <?php sap_render_track_meta_elements($track, $key); ?>
            </table>
        </div>
    </li>
    <?php } ?>
<?php } ?>
<ul id="sap-tracks-hidden" style="display: none">
    <?php sap_render_track_html(); ?>
    <?php sap_render_track_html('remote'); ?>
</ul>
<table class="sap-tracks-table">
    <tr>
        <td class="sap-control">
            <div class="sap-tracker">
                <h5><?php _e("Add Tracks", "smart-audio-playlists"); ?>:</h5>

                <input title="<?php _e("Upload new audio file, or selected uploaded audio file using Media Library.", "smart-audio-playlists"); ?>" id="sap-button-add-tracks" type="button" class="button-primary" value="<?php _e("Local", "smart-audio-playlists"); ?>" />
                <input title="<?php _e("Add audio file by providing URL to remote file location.", "smart-audio-playlists"); ?>" id="sap-button-add-remote" type="button" class="button-primary" value="<?php _e("Remote", "smart-audio-playlists"); ?>" />
            </div>
            <div class="sap-generator"<?php echo empty($tracks) ? ' style="display: none;"' : ''; ?>>
                <h5><?php _e("Automatic", "smart-audio-playlists"); ?>:</h5>
                <input title="<?php _e("Generate playlist title based on the tracks information.", "smart-audio-playlists"); ?>" id="sap-button-gen-title" type="button" class="button-secondary" value="<?php _e("Playlist Title", "smart-audio-playlists"); ?>" />
                <input title="<?php _e("Get other information based on the tracks information.", "smart-audio-playlists"); ?>" id="sap-button-gen-info" type="button" class="button-secondary" value="<?php _e("Playlist Info", "smart-audio-playlists"); ?>" />
                <input title="<?php _e("Add Genres to playlist based on genres from the tracks.", "smart-audio-playlists"); ?>" id="sap-button-gen-genre" type="button" class="button-secondary" value="<?php _e("Add Genres", "smart-audio-playlists"); ?>" />
                <input title="<?php _e("Add Artists to playlist based on the artists from the tracks.", "smart-audio-playlists"); ?>" id="sap-button-gen-artist" type="button" class="button-secondary" value="<?php _e("Add Artists", "smart-audio-playlists"); ?>" />
                <input title="<?php _e("Add Tags to playlist based on the tracks years.", "smart-audio-playlists"); ?>" id="sap-button-gen-tags" type="button" class="button-secondary" value="<?php _e("Add Tags", "smart-audio-playlists"); ?>" />
            </div>
            <div class="sap-tracker">
                <h5><?php _e("More", "smart-audio-playlists"); ?>:</h5>

                <input title="<?php _e("Reverse order of tracks in the playlist.", "smart-audio-playlists"); ?>"<?php echo empty($tracks) ? ' disabled="disabled"' : ''; ?> id="sap-button-reverse-list" type="button" class="button-secondary" value="<?php _e("Reverse List", "smart-audio-playlists"); ?>" />
                <input title="<?php _e("Remove all tracks from the playlist.", "smart-audio-playlists"); ?>"<?php echo empty($tracks) ? ' disabled="disabled"' : ''; ?> id="sap-button-clear-list" type="button" class="button-secondary" value="<?php _e("Clear List", "smart-audio-playlists"); ?>" />
            </div>
        </td>
        <td class="sap-tracks">
            <div class="sap-no-tracks"<?php echo !empty($tracks) ? ' style="display: none;"' : ''; ?>>
                <?php _e("There are no tracks in the the playlists at the moment.", "smart-audio-playlists"); ?>
            </div>
            <ul id="sap-tracks-list"><?php

            foreach ($tracks as $id) {
                $track = sap_track($id);

                sap_render_track_html($track->type, $i, $id, $track->meta);

                $i++;
            }

            ?></ul>
        </td>
    </tr>
</table>
<script type="text/javascript">
    jQuery(document).ready(function() {
        sap_meta_admin.temp.tracker = <?php echo $i; ?>;
        sap_meta_admin.temp.tracks = <?php echo $i - 1; ?>;
    });
</script>