<div class="sct-cleanup-left">
    <p>
        <?php echo $update_message; ?>
    </p>
</div>
<div class="sct-cleanup-right sct-update-panel">
    <h3 style="margin-top: 0;"><?php _e("Database Upgrade Process", "smart-audio-playlists"); ?></h3>
    <?php

    @ini_set('memory_limit', '256M');
    @set_time_limit(3600);

    $_proceed = true; $_error_db = false;
    require_once(SAP_PATH.'core/install.php');
    $list = sap_install_database();

    if (!empty($list)) {
        echo '<h4>'.__("Database Upgrade Notices", "smart-audio-playlists").'</h4>';
        echo join('<br/>', $list);
    }

    echo '<h4>'.__("Database Tables Check", "smart-audio-playlists").'</h4>';
    $check = sap_check_database();

    $msg = array();
    foreach ($check as $table => $data) {
        if ($data['status'] == 'error') {
            $_proceed = false;
            $_error_db = true;
            $msg[] = '<span class="gdpc-error">['.__("ERROR", "smart-audio-playlists").'] - <strong>'.$table.'</strong>: '.$data['msg'].'</span>';
        } else {
            $msg[] = '<span class="gdpc-ok">['.__("OK", "smart-audio-playlists").'] - <strong>'.$table.'</strong></span>';
        }
    }

    echo join('<br/>', $msg);

    echo '<p>'.__("All done.", "smart-audio-playlists").'</p>';

    echo '<hr/>';

    if ($_proceed) {
        echo '<p>'.__("Everything looks OK. You can now use the plugin.", "smart-audio-playlists").'<br/><a href="'.sap_current_url().'">'.__("Click here to continue", "smart-audio-playlists").'</a>.</p>';

        smart_sap_core()->set('show_install_screen', false);
        smart_sap_core()->set('show_update_screen', false);

        smart_sap_core()->save();
    } else {
        echo '<p>'.__("You need to solve detected problems before you can proceed:", "smart-audio-playlists").'</p>';

        if ($_error_db) {
            echo '<p>&nbsp;--&nbsp;'.__("Fix plugin database tables (and create them if missing) according to the PDF document Database Schema included with the plugin package.", "smart-audio-playlists").'</p>';
        }
    }

    ?>
</div>