<?php

$playlist = sap_playlist(get_the_ID());
$statistics = $playlist->stats();

$terms_genres = sap_terms_list(get_the_ID(), 'sapgenre');
$terms_artists = sap_terms_list(get_the_ID(), 'sapartist');
$terms_tags = sap_terms_list(get_the_ID(), 'post_tag');

?>
<div class="sap-archive-playlist sap-archive-playlist-alt">
    <h2><a href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h2>
    <a href="<?php echo get_permalink(); ?>"><?php the_post_thumbnail('sap-track-image'); ?></a>
    <div class="sap-playlist-about">
        <ul>
            <?php if (!empty($terms_artists)) { ?>
            <li>
                <i class="dashicons dashicons-groups"></i>
                <div>
                    <h5><?php echo _n(smart_sap_core()->get('tax_artist_singular'), smart_sap_core()->get('tax_artist_plural'), count($terms_artists), "smart-audio-playlists"); ?></h5>
                    <?php echo join(', ', $terms_artists); ?>
                </div>
            </li>
            <?php } ?>
            <li>
                <i class="dashicons <?php echo SAP_WP_VERSION == 38 ? 'dashicons-format-audio' : 'dashicons-playlist-audio'; ?>"></i>
                <div><i class="dashicons dashicons-playlist-audio"></i>
                    <h5><?php _e("Length", "smart-audio-playlists"); ?></h5>
                    <?php echo $playlist->running_length(); ?>
                </div>
            </li>
            <li>
                <i class="dashicons dashicons-clock"></i>
                <div>
                    <h5><?php _e("Time", "smart-audio-playlists"); ?></h5>
                    <?php echo $playlist->running_time(); ?>
                </div>
            </li>
        </ul>
        <ul>
            <li>
                <i class="dashicons dashicons-calendar"></i>
                <div>
                    <h5><?php _e("Released", "smart-audio-playlists"); ?></h5>
                    <?php echo $playlist->release_date(); ?>
                </div>
            </li>
            <?php if (!empty($terms_genres)) { ?>
            <li>
                <i class="dashicons dashicons-awards"></i>
                <div>
                    <h5><?php echo _n(smart_sap_core()->get('tax_genre_singular'), smart_sap_core()->get('tax_genre_plural'), count($terms_genres), "smart-audio-playlists"); ?></h5>
                    <?php echo join(', ', $terms_genres); ?>
                </div>
            </li>
            <?php } ?>
            <?php if (!empty($terms_tags)) { ?>
            <li>
                <i class="dashicons dashicons-tag"></i>
                <div>
                    <h5><?php _e("Tags", "smart-audio-playlists"); ?></h5>
                    <?php echo join(', ', $terms_tags); ?>
                </div>
            </li>
            <?php } ?>
        </ul>
    </div>
</div>