<?php

global $wp_query;

$class = 'smart-audio-playlist sap-archive-playlists';

$terms = array();
$_terms = $wp_query->tax_query->queries;

foreach ($_terms as $_term) {
    $terms[] = get_term_by('slug', $_term['terms'][0], $_term['taxonomy']);

    $class.= ' sap-archive-tax-'.$_term['taxonomy'];
    $class.= ' sap-archive-term-'.$_term['terms'][0];
}

$class = apply_filters('sap_template_archive_classes', $class, 'sap-archive-playlists');

?>
<div class="<?php echo $class; ?>">
    <?php if (smart_sap_core()->get('templates_archive_title')) { ?>
    <h1 class="sap-entry-title"><?php _e("Playlists Archive", "smart-audio-playlists"); ?></h1>
    <?php } ?>

    <?php if (!empty($terms)) { ?>
        <ul class="sap-archive-terms">
            <?php

            foreach ($terms as $term) {
                $tax = get_taxonomy($term->taxonomy);

                echo '<li>';
                echo $tax->labels->singular_name.': <span>'.$term->name.'</span>';
                echo '</li>';
            }

            ?>
        </ul>
    <?php } ?>

    <?php if (have_posts()) { ?>
        <div class="sap-playlists-list">
            <?php while (have_posts()) {
                the_post();

                sap_template_part('archive', 'playlist');
            } ?>
        </div>

        <?php sap_archive_pagination(); ?>
    <?php } else { ?>
        <div class="sap-no-playlists">
            <?php _e("There are no playlists found", "smart-audio-playlists"); ?>
        </div>
    <?php } ?>
</div>