<?php
/**
 * "Smart Audio Playlists" - Post Type Support for Genesis Framework powered Child Themes.
 *
 * @author     David Decker - DECKERWEB.de
 * @copyright  Copyright (c) 2014, David Decker - DECKERWEB.de
 * @link       http://ddwb.me/an
 * @link       http://deckerweb.de/twitter
 */

/**
 * Prevent direct access to this file.
 */
if ( ! defined( 'WPINC' ) ) {
	exit( 'Sorry, you are not allowed to access this file directly.' );
}

add_action( 'init', 'genesis_sap_additional_post_type_support', 5 );
/**
 * Add additional post type support for various Genesis core options and plugins.
 */
function genesis_sap_additional_post_type_support() {

	/**
	 * Add Genesis core support for: 
	 *    Layout Options, SEO, Scripts, Archive Settings
	 */
	add_post_type_support(
		'sapplaylist',
		array(
			'genesis-layouts',
			'genesis-seo',
			'genesis-scripts',
			'genesis-cpt-archives-settings'
		)
	);

	/**
	 * Add plugin support for:
	 *    Genesis Simple Sidebars, Genesis Simple Menus, Genesis Prose Extras
	 */
	add_post_type_support(
		'sapplaylist',
		array(
			'genesis-simple-sidebars',
			'genesis-simple-menus',
			'gpex-inpost-css'
		)
	);

}